Google checks with the reseller if a charge for a purchase order is authorized. If the purchase order originated from a subscription, declining the charge also cancels the originating subscription or deactivates the originating subscription line items. Note: The domain name below should be replaced with the partner domain name with the same path.
HTTP request
POST https://paymentsresellersubscription.googleapis.com/v1/{parent=partners/*}/purchaseorders:authorizeCharge
Required. A random UUID to uniquely identify the request. The idempotency key for the request. So in case of retries, requestId will be same as previous one.
Required. The reseller's authorization result for purchase order charge request.
purchaseOrderId
string
Required. Sets the id only if the authorization is approved. The id assigned by the partner for the authorized purchase order. The purchase order notification from Cloud pubsub notification message will contain the resource name with this id.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-02-26 UTC."],[],["This document details the process for a reseller to authorize a purchase order charge via a Google API. The `POST` request is sent to `https://paymentsresellersubscription.googleapis.com/v1/{parent=partners/*}/purchaseorders:authorizeCharge`, with the `parent` path parameter indicating the partner ID. The request body requires a unique `requestId` and `purchaseOrder` details. The response contains an `authorizationResult` (approved/declined) and a `purchaseOrderId` if approved. Declining a charge from a subscription will also cancel it.\n"]]